Subject: Re: Converting to Git using svn-fe (Was: Speeding up the initial git-svn fetch)

From: Stephen Bash <[email-masked]>
Date: Thu, 21 Oct 2010 09:49:29 -0400 (EDT)

----- Original Message -----
> From: "Jakub Narebski" <[email-masked]>
> To: "mrevilgnome" <[email-masked]>
> Sent: Thursday, October 21, 2010 4:16:46 AM
> Subject: Re: Converting to Git using svn-fe (Was: Speeding up the initial git-svn fetch)
>
> > Are copy operations notated in some fashion?

Yes, copies create a special pair of properties in SVN: copyfrom_rev and copyfrom_path.  Unfortunately SVN users use the copy operation for non-branching purposes, so some amount of filtering is required.  I posted a script earlier in this thread that used one set of heuristics based on my local SVN repository, but I'm not claiming it will work for everyone.

> Actually it shouldn't be that hard to implement, if it isn't already
> implemented in svn-fe.

David just brought up teaching svn-fe to emit the copyfrom properties to help git do branch mapping.  I think there's still a lot of effort in creating a good mapping algorithm, but the pieces are coming together.

Stephen